# This
Date: 2015-05-12

de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement

## Class This

- java.lang.Object
- - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.Statement
    - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.ExprStmt
      - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.Expr
        - - de.dhbwstuttgart.de.dhbwstuttgart.strucTypes4.syntaxtree.statement.This

All Implemented Interfaces:
  IItemWithOffset, Typeable

    public class This
    extends Expr

### Field Summary

Fields
`ArgumentList` `arglist`
`protected static Logger` `parserlog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`usedid`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`inferencelog`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`offset, type`

### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`parent`

### Constructor Summary

Constructors
Constructor and Description
`This(int offset, int variableLength)`
`This(SyntaxTreeNode parent)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `get_Name()`
`ArgumentList` `getArgumentList()`
`Menge<SyntaxTreeNode>` `getChildren()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `set_ArgumentList(ArgumentList al)`
`void` `set_UsedId(UsedId ui)`
`java.lang.String` `toString()`
`ConstraintsSet` `TYPEExpr(TypeAssumptions assumptions)`
`ConstraintsSet` `TYPEStmt(TypeAssumptions assumptions)`
`void` `wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist, Menge<GenericTypeVar> genericMethodParameters)`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Expr

`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.ExprStmt

`getTypeLineNumber, getTypeName`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.statement.Statement

`getDescription, getOffset, getReturnType, getType, getTypeInformation, getVariableLength, setReturnType, setType`

### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

`addTypeInsertPoints, equals, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### arglist

    public ArgumentList arglist

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### This

    public This(int offset,
                int variableLength)

#### This

    public This(SyntaxTreeNode parent)

### Method Detail

#### set_ArgumentList

    public void set_ArgumentList(ArgumentList al)

#### getArgumentList

    public ArgumentList getArgumentList()

#### set_UsedId

    public void set_UsedId(UsedId ui)

Overrides:
  `set_UsedId` in class `Expr`

#### get_Name

    public java.lang.String get_Name()

Specified by:
  `get_Name` in class `Expr`

#### wandleRefTypeAttributes2GenericAttributes

    public void wandleRefTypeAttributes2GenericAttributes(Menge<Type> paralist,
                                                          Menge<GenericTypeVar> genericMethodParameters)

Specified by:
  `wandleRefTypeAttributes2GenericAttributes` in class `Statement`

#### TYPEExpr

    public ConstraintsSet TYPEExpr(TypeAssumptions assumptions)

Specified by:
  `TYPEExpr` in class `Expr`

#### TYPEStmt

    public ConstraintsSet TYPEStmt(TypeAssumptions assumptions)

Overrides:
  `TYPEStmt` in class `Expr`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)

Specified by:
  `printJavaCode` in class `Statement`

#### getChildren

    public Menge<SyntaxTreeNode> getChildren()

Specified by:
  `getChildren` in class `SyntaxTreeNode`